commit 0b98b3d655993f08104b9caf71be382cee57bd79
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Thu Dec 18 13:35:42 2025 +0000

    Avoid function name conflict with Solaris libgen

diff --git a/src/src/acl.c b/src/src/acl.c
index 7ec3a898c..b236eb2de 100644
--- a/src/src/acl.c
+++ b/src/src/acl.c
@@ -4095,7 +4095,7 @@ for (; cb; cb = cb->next)
 
 #ifdef WITH_CONTENT_SCAN
     case ACLC_REGEX:
-      rc = regex(&arg, textonly);
+      rc = exim_regex(&arg, textonly);
       break;
 #endif
 
diff --git a/src/src/functions.h b/src/src/functions.h
index bfe34f391..1923ca5b6 100644
--- a/src/src/functions.h
+++ b/src/src/functions.h
@@ -446,7 +446,7 @@ extern int_eximarith_t receive_statvfs(BOOL, int *);
 extern void    receive_swallow_smtp(void);
 extern int     recv_fd_from_sock(int);
 #ifdef WITH_CONTENT_SCAN
-extern int     regex(const uschar **, BOOL);
+extern int     exim_regex(const uschar **, BOOL);
 extern void    regex_vars_clear(void);
 #endif
 extern void    regex_at_daemon(const uschar *);
diff --git a/src/src/regex.c b/src/src/regex.c
index ff52d349c..43f7a9403 100644
--- a/src/src/regex.c
+++ b/src/src/regex.c
@@ -113,7 +113,7 @@ for (int i = 0; i < REGEX_VARS; i++) regex_vars[i] = NULL;
 
 
 int
-regex(const uschar ** listptr, BOOL cacheable)
+exim_regex(const uschar ** listptr, BOOL cacheable)
 {
 unsigned long mbox_size;
 FILE * mbox_file;

